#pragma once
#include <map>
struct M_ActivityTaskCFGData
{
	//任务ID
	int mID;
	//描述1
	std::string mDesc1;
	//描述2
	std::string mDesc2;
	//完成条件类型
	int mCompleteType;
	//完成计数
	std::vector<int> mCompleteCount;
	//奖励物品
	std::vector<int> mAwardItem;
	//特殊参数,填0不生效。对任务捕获指定鱼需要填写
	int mCompleteParam;
};

class M_ActivityTaskCFG
{
public:
private:
	static std::auto_ptr<M_ActivityTaskCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityTaskCFGData* GetData(int ID);
	const std::map<int, M_ActivityTaskCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ActivityTaskCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ActivityTaskCFGData> mMapData;
};
